"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var url = require("url");
var jwt = require("jsonwebtoken");
var log4js = require("log4js");
var jwt_config_1 = require("../config/jwt.config");
var logger = log4js.getLogger('ServerScripts');
function GetDomainFromRequestHost(requestHost) {
    var host = requestHost || '';
    if (host.match(/^http:\/\//))
        host = host.substring(7);
    if (host.match(/^https:\/\//))
        host = host.substring(8);
    if (host.match(/^www\./))
        host = host.substring(4);
    if (!/http:/.test(host) && !/https:/.test(host))
        host = 'http://' + host;
    var requestDomain = url.parse(host).hostname;
    return requestDomain;
}
exports.GetDomainFromRequestHost = GetDomainFromRequestHost;
function GetRequestUser(authorizationHeader) {
    var session = authorizationHeader || '';
    var userId;
    try {
        session = session.replace(/^Bearer /i, '');
        if (session) {
            var decoded = jwt.verify(session, jwt_config_1.JWT_SECRET);
            if (decoded.userId)
                userId = decoded.userId;
        }
    }
    catch (err) {
        var errMsg = (typeof err === 'string' ? err : err.message || err.description || '');
        logger.error('Error al decodificar datos de la sesion: ' + errMsg);
    }
    return userId;
}
exports.GetRequestUser = GetRequestUser;
